Loading...
Searching...
No Matches
VideoRenderer.h
Go to the documentation of this file.
// Copyright (c) 2008-2019 OpenShot Studios, LLC
//
// SPDX-License-Identifier: LGPL-3.0-or-later
#ifndef OPENSHOT_VIDEO_RENDERER_H
#define OPENSHOT_VIDEO_RENDERER_H
#include "../RendererBase.h"
#include <QtCore/QObject>
#include <QtGui/QImage>
#include <memory>
class QPainter;
class VideoRenderer : public QObject, public openshot::RendererBase
{
Q_OBJECT
public:
VideoRenderer(QObject *parent = 0);
~VideoRenderer();
void OverrideWidget(int64_t qwidget_address);
signals:
void present(const QImage &image);
protected:
//void render(openshot::OSPixelFormat format, int width, int height, int bytesPerLine, unsigned char *data);
void render(std::shared_ptr<QImage> image);
private slots:
private:
QWidget* override_widget;
};
#endif //OPENSHOT_VIDEO_RENDERER_H
RendererBase.h
Header file for RendererBase class.
VideoRenderer::~VideoRenderer
~VideoRenderer()
Definition VideoRenderer.cpp:21
VideoRenderer::present
void present(const QImage &image)
VideoRenderer::render
void render(std::shared_ptr< QImage > image)
Definition VideoRenderer.cpp:33
VideoRenderer::VideoRenderer
VideoRenderer(QObject *parent=0)
Definition VideoRenderer.cpp:16
VideoRenderer::OverrideWidget
void OverrideWidget(int64_t qwidget_address)
Override QWidget which needs to be painted.
Definition VideoRenderer.cpp:26
openshot::RendererBase
This is the base class of all Renderers in libopenshot.
Definition RendererBase.h:31